Wallet to Wallet transfers

Credentials

Overview

This endpoint enable you to receive data of funds transfers between wallets in PayMe.

Parameters

This endpoint takes no path, query or header parameters.

Request body

Content type: application/json

Field Type Required Description
payme_client_key string yes PayMe Partner Key.
seller_payme_id_origin string no The MPL of the seller that their wallet will be used to transfer the funds.
seller_payme_id_destination string no The MPL of the seller that their wallet will receive the funds.
currency string no Sale currency. 3-letter ISO 4217 name.
start_date string no The start date of the query.
end_date string no The end date of the query.

Request example

{
  "payme_client_key": "XXXXXXXX",
  "seller_payme_id_origin": "MPL1DEMO-XXXXXXXX-XXXXXXXX-XXXXXXXX",
  "seller_payme_id_destination": "MPL2DEMO-XXXXXXXX-XXXXXXXX-XXXXXXXX",
  "currency": "ILS",
  "start_date": "2023-05-04",
  "end_date": "2023-05-04"
}

Code samples

curl

curl -X GET 'https://sandbox.payme.io/api/funds-transfer' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "payme_client_key": "XXXXXXXX",
  "seller_payme_id_origin": "MPL1DEMO-XXXXXXXX-XXXXXXXX-XXXXXXXX",
  "seller_payme_id_destination": "MPL2DEMO-XXXXXXXX-XXXXXXXX-XXXXXXXX",
  "currency": "ILS",
  "start_date": "2023-05-04",
  "end_date": "2023-05-04"
}'

Node.js

const response = await fetch("https://sandbox.payme.io/api/funds-transfer", {
  method: "GET",
  headers: {
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "payme_client_key": "XXXXXXXX",
    "seller_payme_id_origin": "MPL1DEMO-XXXXXXXX-XXXXXXXX-XXXXXXXX",
    "seller_payme_id_destination": "MPL2DEMO-XXXXXXXX-XXXXXXXX-XXXXXXXX",
    "currency": "ILS",
    "start_date": "2023-05-04",
    "end_date": "2023-05-04"
  }),
});

console.log(await response.text());

Python

import requests

response = requests.get(
    "https://sandbox.payme.io/api/funds-transfer",
    json={
        "payme_client_key": "XXXXXXXX",
        "seller_payme_id_origin": "MPL1DEMO-XXXXXXXX-XXXXXXXX-XXXXXXXX",
        "seller_payme_id_destination": "MPL2DEMO-XXXXXXXX-XXXXXXXX-XXXXXXXX",
        "currency": "ILS",
        "start_date": "2023-05-04",
        "end_date": "2023-05-04",
    },
)

print(response.text)

PHP

<?php

$body = <<<'BODY'
{
  "payme_client_key": "XXXXXXXX",
  "seller_payme_id_origin": "MPL1DEMO-XXXXXXXX-XXXXXXXX-XXXXXXXX",
  "seller_payme_id_destination": "MPL2DEMO-XXXXXXXX-XXXXXXXX-XXXXXXXX",
  "currency": "ILS",
  "start_date": "2023-05-04",
  "end_date": "2023-05-04"
}
BODY;

$ch = curl_init('https://sandbox.payme.io/api/funds-transfer');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'GET',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => $body,
]);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Responses

200 — OK (success)

Field Type Description
status_code integer Status of the request (0 - success, 1 - error)
page integer Page number
currency string Sale currency. 3-letter ISO 4217 name.
start_date string The start date of the query.
end_date string The end date of the query.
items_total integer Count of Wallet to Wallet transactions in the chosen period.
items_per_page integer Count of Wallet to Wallet transactions in the page.
items array Detailed Transactions.
{
  "status_code": 0,
  "page": 1,
  "currency": "ILS",
  "start_date": "2023-05-04",
  "end_date": "2023-05-04",
  "items_total": 0,
  "items_per_page": 0,
  "items": []
}